<?

$caSetup = false;
include_once("./include/common.php");
@include_once("./config/configuration.php");

if (!$caSetup) {
	printHeader('Autoridad Certificadora');

	if(!isset($_REQUEST['stage'])) $_REQUEST['stage']="";

	switch ($_REQUEST['stage']) {
		case "":
			include_once("./modules/setup/intro.php");
			break;
		case "create":
			include_once("./modules/setup/create.php");
			break;
		/**/
		case "about":
				include_once("./modules/main/about.php");
				printFooter();
				break;

		case "help":
				include_once("./modules/main/help.php");
				printFooter();
				break;

		default:
			print "Opcin de configuracin desconocida: " . htmlspecialchars($_REQUEST['stage']);
			break;
	}

	printFooter();
	exit();
}

switch ($_REQUEST['area']) {
	case "main":
	case "":
		switch ($_REQUEST['stage']) {
			case "":
				printHeader("Bienvenido a la Autoridad Certificadora de la UPCT");
				include_once("./modules/main/welcome.php");
				printFooter();
				break;

			case "about":
				printHeader("A cerca de AC-UPCT");
				include_once("./modules/main/about.php");
				printFooter();
				break;

			case "help":
				printHeader("Ayuda AC-UPCT");
				include_once("./modules/main/help.php");
				printFooter();
				break;

			case "trust":
				include_once("./modules/main/trust.php");
				break;

			default:
				printHeader("Aplicacin para crear Certificado");
				print "Opcin desconocida: " . htmlspecialchars($_REQUEST['stage']);
				printFooter();
				break;
		}
		break;

	
	case "apply":
		switch ($_REQUEST['stage']) {
			case "":
				printHeader("Aplicacin para crear Certificado");	
				include_once("./modules/apply/emailConfirm.php");
				printFooter();
				break;
				
			case "enterKey":
				printHeader("Aplicacin para crear Certificado");	
				include_once("./modules/apply/enterKey.php");
				printFooter();
				break;
				
			case "issueCert":
				include_once("./modules/apply/issueCert.php");
				break;
				
			case "signCert":
				include_once("./modules/apply/signCert.php");
				break;
				
			case "fetchSpkac":
				include_once("./modules/apply/fetchSpkac.php");
				break;
				
			case "fetchPem":
				include_once("./modules/apply/fetchPem.php");
				break;
				
			default:
				printHeader("Aplicacin para crear Certificado");	
				print "Opcin desconocida: " . htmlspecialchars($_REQUEST['stage']);
				printFooter();
				break;
		}
		break;

	case "admin":
		switch ($_REQUEST['stage']) {
			case "":
				printHeader('Administracin de AC');
				include_once("./modules/admin/options.php");
				printFooter();
			break;

			case "renewCert":
				printHeader('Reedicin Certificado AC');
				include_once("./modules/admin/renewCert.php");
				printFooter();
			break;

			/**/
			case "renewCertClient":
				printHeader('Reedicin Certificado AC');
				include_once("./modules/admin/renewCertClient.php");
				printFooter();
			break;

			case "IntroducirPassw":
				printHeader('Renovar certificado AC');
				include_once("./modules/admin/IntroducirPassw.php");
				printFooter();
			break;
			
			case "IntroducirPasswClient":
				printHeader('Renovar certificado AC');
				include_once("./modules/admin/IntroducirPasswClient.php");
				printFooter();
			break;
			/**/

			case "certSign":
				printHeader('Firma de Certificado');
				include_once("./modules/admin/certSign.php");
				printFooter();
			break;

			default:
				printHeader("Autoridad de la administracin");
				print "Opcin desconocida: " . htmlspecialchars($_REQUEST['stage']);
				printFooter();
			break;
		}
		break;
	
	default:
		printHeader("Area desconocida");
		print "Area desconocida: " . htmlspecialchars($_REQUEST['area']);
		printFooter();
		break;
}


?>
